cURL
curl --request GET \
--url https://api.ctrl-hub.com/v3/properties \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/properties"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"address": {
"description": "<string>",
"department": "<string>",
"organisation": "<string>",
"number": "<string>",
"name": "<string>",
"thoroughfare": "<string>",
"dependent_thoroughfare": "<string>",
"post_town": "<string>",
"postcode": "<string>",
"po_box": "<string>",
"country": "<string>"
},
"uprn": 123,
"psr": {
"indicator": true,
"priority": 123,
"notes": "<string>",
"contact": "<string>"
},
"meters": [
{
"type": "<string>",
"number": 123
}
],
"location": {
"british_national_grid": {
"easting": 123,
"northing": 123
},
"lat_long": {
"latitude": 123,
"longitude": 123
}
}
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"street": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"meters": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"psrs": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 123,
"resources": 123
},
"current_page": 123,
"offsets": {
"next": 123,
"previous": 123
},
"requested": {
"limit": 123,
"offset": 123
}
},
"features": {
"include": {
"options": [
"<string>"
]
}
}
},
"jsonapi": {
"version": "<string>"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"supply_identifier": "<string>",
"serial_number": "<string>",
"extra_info": [
{
"display_name": "<string>",
"field": "<string>",
"value": "<string>"
}
]
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uprn": 123
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"property": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"psrs": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Properties
List properties
Retrieve a list of properties.
GET
/
v3
/
properties
cURL
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Query Parameters
A comma separated list of related resources to include.
Available options:
psrs, meters Filters the response data based on the value provided.
Available filters:
id: Filter by IDuprn: Filter by UPRNaddress.description: Filter by address descriptionaddress.department: Filter by address departmentaddress.organisation: Filter by address organisationaddress.number: Filter by address numberaddress.name: Filter by address nameaddress.thoroughfare: Filter by address thoroughfareaddress.dependent_thoroughfare: Filter by address dependent thoroughfareaddress.post_town: Filter by address post townaddress.postcode: Filter by address postcodeaddress.po_box: Filter by address PO boxaddress.country: Filter by address country
For more information on using named filters, see the docs
Limit the number of resources returned by the API
Required range:
x >= 1Offset the resources returned by the API
Required range:
x >= 0Response
Get a list of properties.
⌘I